Tremor documentation | Tremor version 1.0 - 20020403

# ov_test

declared in "ivorbisfile.h";

This partially opens a vorbis file to test for Vorbis-ness. It loads the headers for the first chain, and tests for seekability (but does not seek). Use ov_test_open() to finish opening the file or ov_clear to close/free it.

    int ov_test(FILE *f,OggVorbis_File *vf,char *initial,long ibytes);

### Parameters

f
  File pointer to an already opened file or pipe (it need not be seekable--though this obviously restricts what can be done with the bitstream).
vf
  A pointer to the OggVorbis_File structure--this is used for ALL the externally visible libvorbisidec functions. Once this has been called, the same `OggVorbis_File` struct should be passed to all the libvorbisidec functions.
initial
  Typically set to NULL. This parameter is useful if some data has already been read from the file and the stream is not seekable. It is used in conjunction with `ibytes`. In this case, `initial` should be a pointer to a buffer containing the data read.
ibytes
  Typically set to 0. This parameter is useful if some data has already been read from the file and the stream is not seekable. In this case, `ibytes` should contain the length (in bytes) of the buffer. Used together with `initial`

### Return Values

> - 0 for success
> - less than zero for failure:
> - OV_EREAD - A read from media returned an error.
> - OV_ENOTVORBIS - Bitstream is not Vorbis data.
> - OV_EVERSION - Vorbis version mismatch.
> - OV_EBADHEADER - Invalid Vorbis bitstream header.
> - OV_EFAULT - Internal logic fault; indicates a bug or heap/stack corruption.

copyright © 2002 Xiph.org | Ogg Vorbis
Tremor documentation | Tremor version 1.0 - 20020403